﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.ProsStudentHelper>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
    <style>
        #sidebar {
            display: none;
        }

        .cart:hover #sidebar {
            display: block;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#fdate").datepicker();
            $("#tdate").datepicker();

        });
        deleterecord("MaAdmission");


        $(":text").keypress(function (event) {
            //filter enter key only
            if (event.keyCode == 13) {
                searchfun();
            }
            return true;
        });


        $("#Searchbtn").click(function () {

            searchfun();
        });

        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();

            var fathername = $("#txtfathername").val();
            var Course = $("#Course").val();

            var Rollno = 0;
            var dt1 = $("#fdate").val();

            var dt2 = $("#tdate").val();
            if ($.isNumeric(Rollno)) {
                var Rollno = $("#txtrollno").val();


            }
            else {
                alert('Roll no must be in integer');
            }
            window.location.href = "/MaAdmission/_searchStudentTrnasfer?name=" + name + "&&mobile=" + mobile + "&&Rollno=" + Rollno + "&&fdate=" + dt1 + "&&tdate=" + dt2 + "&&fathername=" + fathername + "&&Course=" + Course;
        }



        //coding for lazy - loading


    </script>
    <script type="text/javascript">

        var request;
        function LoadData() {


            // Abort any currently executing request
            if (request) {
                request.abort();
            }

            $('#lazyloading').html('<img id="imgload" src="../../Content/themes/base/images/load.gif" />');



            var rows = $(".table").find('input[type=hidden]').last().val();


            var lastno = $(".table").find('input[type=hidden]').last().attr('class');





            var serviceurl = "/MaAdmission/LoadData";

            request = $.get(serviceurl, { id: rows }, function (data) {


                if (data != '') {

                    $(".table").children("tbody:last").append(data);


                }

                $('#lazyloading').empty();






            });


        };
        var scrollonce = false;
        //        $(window).scroll(function () {

        //            if (scrollonce == false) {
        //                if ($(window).scrollTop() == $(document).height() - $(window).height()) {
        //                    scrollonce = true;

        //                    LoadData();


        //                    scrollonce = false;


        //                }
        //            }
        //        });

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });

    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
       Students Transfer
    </h1>
</div>
<ul class="breadcrumb">
    @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="width: 70px" align="left">
                Roll No.
            </td>
            <td style="vertical-align: middle">
                Name
            </td>
            <td>
                Husband/Father
            </td>
            <td style="vertical-align: middle">
                Mobile
            </td>

            @if (StaticLogic.SubRole() == "Max")
            {
                <td>
                    From Date
                </td>
                <td>
                    To Date
                </td>

                <td>
                    Course
                </td>
            }
            <td></td>
        </tr>
        <tr>
            <td>
                <input id="txtrollno" type="text" value="@ViewBag.rollno" style="width: 50px" />
            </td>
            <td>
                <input type="text" style="width: 110px" value="@ViewBag.name" id="txtname" />
            </td>
            <td>
                <input type="text" style="width: 110px" value="@ViewBag.fathername" id="txtfathername" />
            </td>
            <td>
                <input type="text" style="width: 100px" value="@ViewBag.mobile" id="txtmobile" />
            </td>

            @if (StaticLogic.SubRole() == "Max")
            {
                <td>
                    <input type="date" style="width: 80px" value="@ViewBag.fdate" id="fdate" />
                </td>
                <td>
                    <input type="date" style="width: 80px" value="@ViewBag.tdate" id="tdate" />
                </td>
                <td>
                    @Html.DropDownList("Course",(SelectList)ViewBag.val, "All", new { @class = "" })
                </td>
            }
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*@Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Husband/Father
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Prosp. Student Date
                        </th>
                        <th>
                            Transfer Status
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        int _count = db.Tb_MockTest.Where(z => z.StudentId == item.Id).Count();

                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td align="left">
                                <input type="hidden" class="@i" value="@item.Id" />
                                @{
                                    if (_count > 0)
                                    {
                                        @Html.ActionLink(item.RollNo.ToString(), "AllTestofStudent", "Tb_MockTest", new { id = item.Id }, new { @class = "myeditAcBtn" })
                                    }
                                    else
                                    {
                                        @Html.DisplayFor(modelItem => item.RollNo)
                                    }
                                }
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FirstName) &nbsp @Html.DisplayFor(modelItem => item.LastName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FatherName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td align="left">
                                @{string admdate = string.Format("{0:dd MMM,yyyy}", item.Cdate);}
                                @admdate
                            </td>
                            <td>
                                @{
                                    bool SCount = db.MaAdmissions.Where(x => x.Id == item.Id).Select(x => x.IsLeft).FirstOrDefault();

                                    if (SCount == false)
                                    {
                                        Tb_StudentTransfer tb_stud = db.Tb_StudentTransfer.Where(x => x.StudentId == item.Id).FirstOrDefault();
                                        Tb_FeeReceipt fee = db.Tb_FeeReceipt.Where(x => x.StudentId == item.Id).FirstOrDefault();
                                        <a href="/MaAdmission/TransferStudent/@item.Id"><i class="icon-caret-right">Transfer</i> </a>

                                        if (tb_stud != null)
                                        {
                                            <p><b>Transferred From <br /> @tb_stud.MaBranch1.BramchName</b> </p>
                                            if (fee == null)
                                            {
                                                <a href="/MaAdmission/CourseHistory/@item.Id" style="color:red"><i class="icon-bell"> Pending Fee Receipt </i> </a>
                                            }
                                        }

                                    }
                                    else
                                    {
                                        Tb_StudentTransfer tb_stud = db.Tb_StudentTransfer.Where(x => x.OldStudId == item.Id).FirstOrDefault();
                                        if (tb_stud != null)
                                        {
                                            <p><b>Transferred To <br /> @tb_stud.MaBranch.BramchName</b> </p>
                                            <a href="/Maadmission/PrintTransfer/@tb_stud.Id" target="_blank" ><i class="icon-print"></i> Print</a>
                                        }
                                    }
                                }
                            </td>
                        </tr>
                                    }
                </tbody>
            </table>
            <!-- Lazy loading table starts here -->
            <table>
                <tr>
                    <td>
                        <div id="lazyloading" style="text-align: center; position: relative; margin-top: -30px;">
                        </div>
                    </td>
                </tr>
            </table>
            <!-- Lazy loading table ends here -->
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="" style="width: 556px">
        </div>


        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
    </div>
</div>
